## python-django-crispy-forms 1.4.0

=== Makefile ===
.PHONY: develop test

develop:
	pip install -q "file://`pwd`#egg=django-crispy-forms[tests]"
	pip install -q -e . --use-mirrors

test: develop
	cd crispy_forms/tests && python runtests.py

=== requirements.txt ===
-i http://simple.crate.io/
django

=== debian/changelog ===
python-django-crispy-forms (1.4.0-2) unstable; urgency=low

  * debian/watch: add filenamemangle option
  * debian/copyright: add separate section with license of docs/_themes
  * add patches/001_fix_django1_6_incompatbility.patch to repair
    documentation build with Django 1.6

 -- Jan Dittberner <jandd@debian.org>  Mon, 25 Nov 2013 18:44:30 +0100

python-django-crispy-forms (1.4.0-1) unstable; urgency=low

  * Initial release (Closes: #725618)

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Oct 2013 21:26:25 +0200

=== debian/control ===
Source: python-django-crispy-forms
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 9), python
Build-Depends-Indep: python-django, python-setuptools, python-sphinx | python3-sphinx
Standards-Version: 3.9.4
Homepage: https://github.com/maraujop/django-crispy-forms
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-crispy-forms/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-crispy-forms/trunk/

Package: python-django-crispy-forms
Architecture: all
Depends: python-django, ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}
Description: app for Django providing elegant form rendering
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 Django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 2 and 3), Uni-form and Foundation. You can also easily
 adapt your custom company's one, creating your own, see the docs for more
 information. You can easily switch among them using CRISPY_TEMPLATE_PACK
 setting variable.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auth_clean:
	rm -rf docs/_build
	dh_auto_clean

override_dh_auto_build:
	cd docs && $(MAKE) html
	dh_auto_build

override_dh_install_changelogs:
	dh_install_changelogs -i CHANGELOG.md

%:
	dh $@ --with=python2,sphinxdoc --buildsystem=python_distutils

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-django-crispy-forms-$1.tar.gz/ \
https://github.com/maraujop/django-crispy-forms/releases /maraujop/django-crispy-forms/archive/([\d.]+)\.tar\.gz

## python-django-crispy-forms 1.6.0

=== requirements.txt ===
Django
coverage==3.7.1
twine==1.5.0
wheel==0.24.0
pytest
pytest-cov
pytest-django

=== debian/changelog ===
python-django-crispy-forms (1.6.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Clean up files in django_crispy_forms.egg-info to allow two builds
    in a row.
  * Rename MIT to Expat license.
  * Add Upstream-Contact field in d/copyright.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 15 Jan 2016 12:56:34 +0100

python-django-crispy-forms (1.5.2-1) unstable; urgency=medium

  [ Michael Fladischer ]
  * Team upload.
  * New upstream release (Closes: #755615).
  * Switch buildsystem to pybuild.
  * Add support for Python3.
  * Move documentation to a separate package.
  * Reformat packaging files with cme for better readability.

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Oct 2015 12:57:53 +0200

python-django-crispy-forms (1.4.0-3) unstable; urgency=medium

  * add debian/upstream/metadata
  * add debian/patches/no-remote-resources.patch to avoid privacy issues
    in generated documentation
  * bump Standards-Version to 3.9.6 (no changes)
  * debian/rules:
    - fix type s/dh_auth_clean/dh_auto_clean/ to really clean documentation
      build directory
    - remove egg-info in override_dh_auto_clean too

 -- Jan Dittberner <jandd@debian.org>  Sat, 11 Oct 2014 18:25:50 +0200

=== debian/control ===
Source: python-django-crispy-forms
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all,
               python3-all
Build-Depends-Indep: dh-python,
                     python-django,
                     python-setuptools,
                     python-sphinx | python3-sphinx,
                     python3-django,
                     python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-crispy-forms.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-crispy-forms.git
Homepage: https://github.com/maraujop/django-crispy-forms
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-django-crispy-forms
Architecture: all
Depends: python-django,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-django-crispy-forms-doc
Description: app for Django providing elegant form rendering
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 Django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 2 and 3), Uni-form and Foundation. You can also easily
 adapt your custom company's one, creating your own, see the docs for more
 information. You can easily switch among them using CRISPY_TEMPLATE_PACK
 setting variable.

Package: python3-django-crispy-forms
Architecture: all
Depends: python3-django,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-crispy-forms-doc
Description: app for Django providing elegant form rendering (Python3 version)
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 Django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 2 and 3), Uni-form and Foundation. You can also easily
 adapt your custom company's one, creating your own, see the docs for more
 information. You can easily switch among them using CRISPY_TEMPLATE_PACK
 setting variable.
 .
 This package contains the Python 3 version of the library.

Package: python-django-crispy-forms-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: app for Django providing elegant form rendering (Documentation)
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 Django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 2 and 3), Uni-form and Foundation. You can also easily
 adapt your custom company's one, creating your own, see the docs for more
 information. You can easily switch among them using CRISPY_TEMPLATE_PACK
 setting variable.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-crispy-forms
export PYBUILD_DISABLE=test

override_dh_auto_clean:
	rm -rf docs/.build
	dh_auto_clean

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_install_changelogs:
	dh_install_changelogs -i CHANGELOG.md

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

## python-django-crispy-forms 1.6.1

=== debian/changelog ===
python-django-crispy-forms (1.6.1-1) unstable; urgency=low

  [ Michael Fladischer ]
  * Team upload.
  * Update upstream URL.
  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Use https:// for copyright-format 1.0 URL.
  * Fix incorrect reference to dh_installchangelogs, thanks to Chris
    Lamb for the patch (Closes: #831778).

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Michael Fladischer <fladi@debian.org>  Fri, 28 Oct 2016 08:34:49 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                      python-sphinx | python3-sphinx,
                      python3-django,
                      python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-crispy-forms.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-crispy-forms.git
-Homepage: https://github.com/maraujop/django-crispy-forms
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-crispy-forms.git
+Homepage: https://github.com/django-crispy-forms/django-crispy-forms
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3

## python-django-crispy-forms 1.7.0

=== debian/changelog ===
python-django-crispy-forms (1.7.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Bump Standards-Version to 4.1.1.

 -- Michael Fladischer <fladi@debian.org>  Sat, 04 Nov 2017 15:47:30 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                      python-sphinx | python3-sphinx,
                      python3-django,
                      python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-crispy-forms.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-crispy-forms.git
 Homepage: https://github.com/django-crispy-forms/django-crispy-forms

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
 
-override_dh_install_changelogs:
-	dh_install_changelogs -i CHANGELOG.md
+override_dh_installchangelogs:
+	dh_installchangelogs -i CHANGELOG.md
 
 %:
 	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

## python-django-crispy-forms 1.7.2

=== requirements.txt ===
Django
coverage
twine==1.5.0
wheel==0.24.0
pytest
pytest-cov
pytest-django

=== debian/changelog ===
python-django-crispy-forms (1.7.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 22:26:12 +0200

python-django-crispy-forms (1.7.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Sat, 24 Mar 2018 21:37:11 +0100

python-django-crispy-forms (1.7.1-1) unstable; urgency=low

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * New upstream release.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Only depend on python3-sphinx for building documentation.
  * Build documentation in override_dh_sphinxdoc.

 -- Michael Fladischer <fladi@debian.org>  Wed, 07 Mar 2018 15:15:54 +0100

=== debian/control ===
Source: python-django-crispy-forms
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Jan Dittberner <jandd@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 11),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-django,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-crispy-forms
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-crispy-forms.git
Homepage: https://github.com/django-crispy-forms/django-crispy-forms
Testsuite: autopkgtest-pkg-python

Package: python-django-crispy-forms-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: app for Django providing elegant form rendering (Documentation)
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 Django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 2 and 3), Uni-form and Foundation. You can also easily
 adapt your custom company's one, creating your own, see the docs for more
 information. You can easily switch among them using CRISPY_TEMPLATE_PACK
 setting variable.
 .
 This package contains the documentation.

Package: python3-django-crispy-forms
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-crispy-forms-doc,
Description: app for Django providing elegant form rendering (Python3 version)
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 Django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 2 and 3), Uni-form and Foundation. You can also easily
 adapt your custom company's one, creating your own, see the docs for more
 information. You can easily switch among them using CRISPY_TEMPLATE_PACK
 setting variable.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-crispy-forms
export PYBUILD_DISABLE=test

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-crispy-forms-doc/usr/share/doc/python-django-crispy-forms-doc/html
	dh_sphinxdoc
endif

override_dh_installchangelogs:
	dh_installchangelogs -i CHANGELOG.md

override_dh_auto_clean:
	rm -rf docs/.build
	dh_auto_clean

## python-django-crispy-forms 1.9.2

=== requirements.txt ===
coverage
twine
wheel
pytest
pytest-cov
pytest-django
pre-commit

=== docs/requirements.txt ===
Django
Sphinx
sphinx_rtd_theme

=== debian/changelog ===
python-django-crispy-forms (1.9.2-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Antonio Terceiro ]
  * New upstream version 1.9.2
    - Compatible with Django 3 (Closes: #961242)
  * Refresh patch
  * debian/rules: force pybuild to use distutils
  * debian/control: add new build dependency: python3-sphinx-rtd-theme
  * autopkgtest: configure module name

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Sep 2020 19:41:11 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: python-django-crispy-forms
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Jan Dittberner <jandd@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  python3-all,
 Build-Depends-Indep:
  dh-python,
  python3-django,
  python3-setuptools,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-crispy-forms
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-crispy-forms.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms.git
 Homepage: https://github.com/django-crispy-forms/django-crispy-forms
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 export PYBUILD_NAME=django-crispy-forms
 export PYBUILD_DISABLE=test
+export PYBUILD_SYSTEM=distutils
 
 %:
 	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-django-crispy-forms-$1.tar.gz/ \
https://github.com/django-crispy-forms/django-crispy-forms/releases /django-crispy-forms/django-crispy-forms/archive/([\d.]+)\.tar\.gz

## python-django-crispy-forms 1.14.0

=== Makefile ===
.PHONY: develop test

develop:
	pip install -q -r requirements.txt
	pip install -q -e .

test: develop
	DJANGO_SETTINGS_MODULE=crispy_forms.tests.test_settings py.test crispy_forms/tests --cov=crispy_forms

=== debian/changelog ===
python-django-crispy-forms (1.14.0-4ubuntu1) mantic; urgency=medium

  * d/p/support-django4.patch: Support Django 4.1 and 4.2 by overriding
    template settings to fix template loading in the
    keepcontext_context_manager test (LP: #2022089)

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 31 Aug 2023 11:55:04 -0700

python-django-crispy-forms (1.14.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * [aef078e] Wrap long lines in changelog entries: 1.14.0-3.
  * [9eab7b7] Fix typo in debian/rules rules: override_dh_autotest => override_dh_auto_test

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:04:02 +0100

python-django-crispy-forms (1.14.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * [b54f10e] Update lintian override info to new format on line 2, 3, 4, 5, 8.
  * [e70a490] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * [d4866a8] Update lintian override info to new format on line 2, 3, 4, 5, 8.

  [ Jelmer Vernooĳ ]
  * [4770a20] Revert "Update lintian override info to new format on line 2, 3,
    4, 5, 8."

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:16:00 +0100

python-django-crispy-forms (1.14.0-2) unstable; urgency=medium

  * Team upload
  [ Ileana Dumitrescu ]
  * [2208231] d/control: Add B-D on python3-setuptools
                         Bump Standards-Version to 4.6.1
                         Fixes FTBFS (Closes: #1019993)
  [ Carsten Schoenert ]
  * [04baab0] d/control: Add required packages to run internal tests
  * [7991b28] d/rules: Turn on the package autotest call
  * [3446d5a] autopkgtest: Adding a first basic setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 27 Sep 2022 19:06:36 +0200

python-django-crispy-forms (1.14.0-1) unstable; urgency=medium

  * Team upload

  * [82e8744] New upstream version 1.14.0
  * [acc19e6] Rebuild patch queue from patch-queue branch
    added patches:
    Sphinx-Correct-multi-line-definition-list.patch
    Sphinx-Adding-missing-blank-line-after-markup.patch
  * [a569e69] d/control: Adjust B-D so pyproject build is usable
  * [f43c388] d/rules: Enforce usage of pyproject pybuild system
  * [090951c] Lintian: Extend rules for
              d/python3-django-crispy-forms.lintian-overrides
  * [ffbf4d7] d/copyright: Update copyright years

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 27 Jan 2022 08:08:29 +0100

python-django-crispy-forms (1.13.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Antonio Terceiro ]
  * New upstream version 1.9.2
    - Compatible with Django 3 (Closes: #961242)
  * Refresh patch
  * debian/rules: force pybuild to use distutils
  * debian/control: add new build dependency: python3-sphinx-rtd-theme
  * autopkgtest: configure module name

  [Carsten Schoenert ]
  * [e155124] d/gbp.conf: Adding some more defaults
  * [03ddecc] New upstream version 1.13.0
  * [bf37203] Rebuild patch queue from patch-queue branch
    Modified patch:
    no-remote-resources.patch
    Adding note about forwarding isn't needed.
  * [3b8bd9e] d/control: Remove obsolet Testsuite entry
  * [620179e] d/control: Bump debhelper version to 13
  * [0fd3ecf] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [712a5c7] d/control: Adding entry Rules-Requires-Root: no
  * [c2b97f8] d/control: Mark the -doc package Multi-Arch: foreign
  * [355fc4b] d/copyright: Update content due changes by upstream
  * [ca1d2ed] d/watch: Update to version 4
  * [def2bf9] d/s/lintian-overrides: Adding files which can be ignored
  * [bb7330f] Lintian: Adding d/python3-django-crispy-forms.lintian-overrides
  * [65efce5] d/control: Small update of package long description

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 19 Nov 2021 20:45:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,34 @@
 Source: python-django-crispy-forms
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Jan Dittberner <jandd@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  python3-all,
+ python3-setuptools,
 Build-Depends-Indep:
  dh-python,
+ pybuild-plugin-pyproject,
+ python3-coverage,
  python3-django,
- python3-setuptools,
+ python3-poetry,
+ python3-pytest,
+ python3-pytest-cov,
+ python3-pytest-django,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms.git
 Homepage: https://github.com/django-crispy-forms/django-crispy-forms
-Testsuite: autopkgtest-pkg-python
 
 Package: python-django-crispy-forms-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},
@@ -33,7 +41,7 @@
  Django, so it plays nice with any other form application.
  .
  Django-crispy-forms supports several frontend frameworks, such as Twitter
- Bootstrap (versions 2 and 3), Uni-form and Foundation. You can also easily
+ Bootstrap (versions 2, 3 and 4), Uni-form and Foundation. You can also easily
  adapt your custom company's one, creating your own, see the docs for more
  information. You can easily switch among them using CRISPY_TEMPLATE_PACK
  setting variable.
@@ -56,7 +64,7 @@
  Django, so it plays nice with any other form application.
  .
  Django-crispy-forms supports several frontend frameworks, such as Twitter
- Bootstrap (versions 2 and 3), Uni-form and Foundation. You can also easily
+ Bootstrap (versions 2, 3 and 4), Uni-form and Foundation. You can also easily
  adapt your custom company's one, creating your own, see the docs for more
  information. You can easily switch among them using CRISPY_TEMPLATE_PACK
  setting variable.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-include /usr/share/dpkg/pkg-info.mk
-
 export PYBUILD_NAME=django-crispy-forms
-export PYBUILD_DISABLE=test
-export PYBUILD_SYSTEM=distutils
+export PYBUILD_SYSTEM=pyproject
 
 %:
 	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
@@ -16,6 +13,10 @@
 	dh_sphinxdoc
 endif
 
+override_dh_auto_test:
+	PYBUILD_SYSTEM=custom \
+	PYTHONPATH=. DJANGO_SETTINGS_MODULE=crispy_forms.tests.test_settings py.test crispy_forms/tests --cov=crispy_forms
+
 override_dh_installchangelogs:
 	dh_installchangelogs -i CHANGELOG.md

=== debian/watch ===
# watch file for django-crispy-forms

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-django-crispy-forms-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/django-crispy-forms/django-crispy-forms.git \
      refs/tags/([\d.]+)

## python-django-crispy-forms 2.1

=== docs/requirements.txt ===
Django
Sphinx>=5
sphinx_rtd_theme>=1.2.2
numpydoc

=== debian/changelog ===
python-django-crispy-forms (2.1-2) unstable; urgency=medium

  * Team upload (Closes: 1052852)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 22 Jan 2024 10:43:27 +0100

python-django-crispy-forms (2.1-1) unstable; urgency=medium

  * Team upload
  * [1ad6c05] New upstream version 2.1
  * [c69b0f6] Let pybuild run tests
  * [d0c244f] control: Testsuite for pybuild
  * [3861de1] Standards-Version 4.6.2
  * [b81748f] Use github watch file
  * [e1daf84] Fix build deps
  * [bfd2e64] Test using bootstrap5
  * [1ad5d49] Drop useless overrides
  * [49c0532] Do not install LICENSE

 -- Jérémy Lal <kapouer@melix.org>  Mon, 22 Jan 2024 09:59:47 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/django-crispy-forms/django-crispy-forms/tags?per_page=100 \
 https://api.github.com/repos/django-crispy-forms/django-crispy-forms/tarball/refs/tags/@ANY_VERSION@

## python-django-crispy-forms 2.4

=== Makefile ===
.PHONY: develop test

develop:
	pip install -q -r requirements.txt
	pip install -q -e .

test: develop
	DJANGO_SETTINGS_MODULE=tests.test_settings py.test tests --cov=crispy_forms

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/django-uni-form.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/django-uni-form.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== debian/changelog ===
python-django-crispy-forms (2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Apr 2025 12:10:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-django-crispy-forms
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Jan Dittberner <jandd@debian.org>,
 Section: python
@@ -12,19 +11,21 @@
 Build-Depends-Indep:
  dh-python,
  pybuild-plugin-pyproject,
- python3-coverage,
+ python3-crispy-bootstrap3,
+ python3-crispy-bootstrap5,
  python3-django,
+ python3-numpydoc,
  python3-poetry,
  python3-pytest,
- python3-pytest-cov,
  python3-pytest-django,
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms.git
 Homepage: https://github.com/django-crispy-forms/django-crispy-forms
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-crispy-forms-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,8 @@
 	dh_sphinxdoc
 endif
 
-override_dh_auto_test:
-	PYBUILD_SYSTEM=custom \
-	PYTHONPATH=. DJANGO_SETTINGS_MODULE=crispy_forms.tests.test_settings py.test crispy_forms/tests --cov=crispy_forms
-
 override_dh_installchangelogs:
 	dh_installchangelogs -i CHANGELOG.md
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	rm -rf docs/.build
-	dh_auto_clean

## python-django-crispy-forms 2.5

=== debian/changelog ===
python-django-crispy-forms (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Dec 2025 13:35:25 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
  python3-crispy-bootstrap3,
  python3-crispy-bootstrap5,
@@ -20,8 +21,7 @@
  python3-pytest-django,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms.git
 Homepage: https://github.com/django-crispy-forms/django-crispy-forms

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_SYSTEM=pyproject
 
 %:
-	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
